<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ScolaSync: Référence de la classe src.mainWindow.DiskSizeDelegate</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ScolaSync
   &#160;<span id="projectnumber">5.1</span>
   </div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Recherche" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Généré par Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Recherche');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classsrc_1_1mainWindow_1_1DiskSizeDelegate.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Fonctions membres publiques</a> &#124;
<a href="classsrc_1_1mainWindow_1_1DiskSizeDelegate-members.html">Liste de tous les membres</a>  </div>
  <div class="headertitle">
<div class="title">Référence de la classe src.mainWindow.DiskSizeDelegate</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Graphe d'héritage de src.mainWindow.DiskSizeDelegate:</div>
<div class="dyncontent">
<div class="center"><img src="classsrc_1_1mainWindow_1_1DiskSizeDelegate__inherit__graph.png" border="0" usemap="#src_8mainWindow_8DiskSizeDelegate_inherit__map" alt="Inheritance graph"/></div>
<map name="src_8mainWindow_8DiskSizeDelegate_inherit__map" id="src_8mainWindow_8DiskSizeDelegate_inherit__map">
<area shape="rect" title=" " alt="" coords="5,80,228,107"/>
<area shape="rect" href="classQStyledItemDelegate.html" title=" " alt="" coords="44,5,189,32"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">légende</a>]</span></center></div>
<div class="dynheader">
Graphe de collaboration de src.mainWindow.DiskSizeDelegate:</div>
<div class="dyncontent">
<div class="center"><img src="classsrc_1_1mainWindow_1_1DiskSizeDelegate__coll__graph.png" border="0" usemap="#src_8mainWindow_8DiskSizeDelegate_coll__map" alt="Collaboration graph"/></div>
<map name="src_8mainWindow_8DiskSizeDelegate_coll__map" id="src_8mainWindow_8DiskSizeDelegate_coll__map">
<area shape="rect" title=" " alt="" coords="5,80,228,107"/>
<area shape="rect" href="classQStyledItemDelegate.html" title=" " alt="" coords="44,5,189,32"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">légende</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Fonctions membres publiques</h2></td></tr>
<tr class="memitem:a4302bc7c6bf1faf6f1b62e51c1cf30fb"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1mainWindow_1_1DiskSizeDelegate.html#a4302bc7c6bf1faf6f1b62e51c1cf30fb">__init__</a> (self, parent)</td></tr>
<tr class="separator:a4302bc7c6bf1faf6f1b62e51c1cf30fb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab79765a018e4388d1ca7647df7580091"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1mainWindow_1_1DiskSizeDelegate.html#ab79765a018e4388d1ca7647df7580091">paint</a> (self, painter, option, index)</td></tr>
<tr class="separator:ab79765a018e4388d1ca7647df7580091"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8dccb5804913f8bcb302c9c484e1d8ee"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1mainWindow_1_1DiskSizeDelegate.html#a8dccb5804913f8bcb302c9c484e1d8ee">val2txt</a> (self, val)</td></tr>
<tr class="separator:a8dccb5804913f8bcb302c9c484e1d8ee"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Description détaillée</h2>
<div class="textblock">
<p class="definition">Définition à la ligne <a class="el" href="mainWindow_8py_source.html#l00893">893</a> du fichier <a class="el" href="mainWindow_8py_source.html">mainWindow.py</a>.</p>
</div><h2 class="groupheader">Documentation des constructeurs et destructeur</h2>
<a id="a4302bc7c6bf1faf6f1b62e51c1cf30fb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4302bc7c6bf1faf6f1b62e51c1cf30fb">&#9670;&nbsp;</a></span>__init__()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.mainWindow.DiskSizeDelegate.__init__ </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>parent</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="mainWindow_8py_source.html#l00894">894</a> du fichier <a class="el" href="mainWindow_8py_source.html">mainWindow.py</a>.</p>

</div>
</div>
<h2 class="groupheader">Documentation des fonctions membres</h2>
<a id="ab79765a018e4388d1ca7647df7580091"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab79765a018e4388d1ca7647df7580091">&#9670;&nbsp;</a></span>paint()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.mainWindow.DiskSizeDelegate.paint </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>painter</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>option</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>index</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="mainWindow_8py_source.html#l00898">898</a> du fichier <a class="el" href="mainWindow_8py_source.html">mainWindow.py</a>.</p>
<div class="dynheader">
Voici le graphe d'appel pour cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="classsrc_1_1mainWindow_1_1DiskSizeDelegate_ab79765a018e4388d1ca7647df7580091_cgraph.png" border="0" usemap="#classsrc_1_1mainWindow_1_1DiskSizeDelegate_ab79765a018e4388d1ca7647df7580091_cgraph" alt=""/></div>
<map name="classsrc_1_1mainWindow_1_1DiskSizeDelegate_ab79765a018e4388d1ca7647df7580091_cgraph" id="classsrc_1_1mainWindow_1_1DiskSizeDelegate_ab79765a018e4388d1ca7647df7580091_cgraph">
<area shape="rect" title=" " alt="" coords="5,5,259,32"/>
<area shape="rect" href="classsrc_1_1mainWindow_1_1DiskSizeDelegate.html#a8dccb5804913f8bcb302c9c484e1d8ee" title=" " alt="" coords="307,5,569,32"/>
</map>
</div>

</div>
</div>
<a id="a8dccb5804913f8bcb302c9c484e1d8ee"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8dccb5804913f8bcb302c9c484e1d8ee">&#9670;&nbsp;</a></span>val2txt()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.mainWindow.DiskSizeDelegate.val2txt </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>val</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section return"><dt>Renvoie</dt><dd>a string with a value with unit K, M, or G </dd></dl>

<p class="definition">Définition à la ligne <a class="el" href="mainWindow_8py_source.html#l00919">919</a> du fichier <a class="el" href="mainWindow_8py_source.html">mainWindow.py</a>.</p>
<div class="dynheader">
Voici le graphe des appelants de cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="classsrc_1_1mainWindow_1_1DiskSizeDelegate_a8dccb5804913f8bcb302c9c484e1d8ee_icgraph.png" border="0" usemap="#classsrc_1_1mainWindow_1_1DiskSizeDelegate_a8dccb5804913f8bcb302c9c484e1d8ee_icgraph" alt=""/></div>
<map name="classsrc_1_1mainWindow_1_1DiskSizeDelegate_a8dccb5804913f8bcb302c9c484e1d8ee_icgraph" id="classsrc_1_1mainWindow_1_1DiskSizeDelegate_a8dccb5804913f8bcb302c9c484e1d8ee_icgraph">
<area shape="rect" title=" " alt="" coords="307,5,569,32"/>
<area shape="rect" href="classsrc_1_1mainWindow_1_1DiskSizeDelegate.html#ab79765a018e4388d1ca7647df7580091" title=" " alt="" coords="5,5,259,32"/>
</map>
</div>

</div>
</div>
<hr/>La documentation de cette classe a été générée à partir du fichier suivant :<ul>
<li>src/<a class="el" href="mainWindow_8py_source.html">mainWindow.py</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacesrc.html">src</a></li><li class="navelem"><a class="el" href="namespacesrc_1_1mainWindow.html">mainWindow</a></li><li class="navelem"><a class="el" href="classsrc_1_1mainWindow_1_1DiskSizeDelegate.html">DiskSizeDelegate</a></li>
    <li class="footer">Généré par
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
